{
	"compilerOptions": {
		"module":                       "esnext",
		"target":                       "es5",
		"sourceMap":                    true,
		"removeComments":               false,
		"moduleResolution":             "node",
		"noUnusedLocals":               true,
		"noImplicitAny":                true,
		"noImplicitReturns":            true,
		"noFallthroughCasesInSwitch":   true,
		"strictNullChecks":             true,
		"strictPropertyInitialization": true,
		"strictFunctionTypes":          true,
		"experimentalDecorators":       true,
		"allowSyntheticDefaultImports": true,
		"esModuleInterop":              true,
		"resolveJsonModule":            true,
		"lib":                          [
			"dom",
			"es5",
			"es6",
			"es7",
			"esnext"
		],
		"declaration":                  true
	}
}
